<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcyhal__quaddec__t" kind="struct" language="C++" prot="public">
    <compoundname>cyhal_quaddec_t</compoundname>
    <includes local="no">cyhal_hw_types.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcyhal__quaddec__t_1a43b3afb6a641da8607d642d8d68264b3" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcyhal__tcpwm__t">cyhal_tcpwm_t</ref></type>
        <definition>cyhal_tcpwm_t cyhal_quaddec_t::tcpwm</definition>
        <argsstring />
        <name>tcpwm</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="544" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="544" />
      </memberdef>
      <memberdef id="structcyhal__quaddec__t_1a294599f4c399f8cd722db5b72bd6f60a" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref></type>
        <definition>cyhal_gpio_t cyhal_quaddec_t::phi_a</definition>
        <argsstring />
        <name>phi_a</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="545" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="545" />
      </memberdef>
      <memberdef id="structcyhal__quaddec__t_1aedbae5253d7f7a9c2f9b02d0f1d4e856" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref></type>
        <definition>cyhal_gpio_t cyhal_quaddec_t::phi_b</definition>
        <argsstring />
        <name>phi_b</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="546" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="546" />
      </memberdef>
      <memberdef id="structcyhal__quaddec__t_1a6dd26d89e16c27595a35fd8c9a738035" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref></type>
        <definition>cyhal_gpio_t cyhal_quaddec_t::index</definition>
        <argsstring />
        <name>index</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="547" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="547" />
      </memberdef>
      <memberdef id="structcyhal__quaddec__t_1aa02669222b74cc12e1b1442e13604188" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cyhal_quaddec_t::last_counter_value</definition>
        <argsstring />
        <name>last_counter_value</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="548" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="548" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Quadrature Decoder object. </para>    </briefdescription>
    <detaileddescription>
<para>Application code should not rely on the specific contents of this struct. They are considered an implementation detail which is subject to change between platforms and/or HAL releases. </para>    </detaileddescription>
    <collaborationgraph>
      <node id="117">
        <label>cyhal_resource_inst_t</label>
        <link refid="structcyhal__resource__inst__t" />
      </node>
      <node id="115">
        <label>cyhal_tcpwm_t</label>
        <link refid="structcyhal__tcpwm__t" />
        <childnode refid="116" relation="usage">
          <edgelabel>callback_data</edgelabel>
        </childnode>
        <childnode refid="117" relation="usage">
          <edgelabel>resource</edgelabel>
        </childnode>
      </node>
      <node id="114">
        <label>cyhal_quaddec_t</label>
        <link refid="structcyhal__quaddec__t" />
        <childnode refid="115" relation="usage">
          <edgelabel>tcpwm</edgelabel>
        </childnode>
      </node>
      <node id="116">
        <label>cyhal_event_callback_data_t</label>
        <link refid="structcyhal__event__callback__data__t" />
      </node>
    </collaborationgraph>
    <location bodyend="552" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="542" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="542" />
    <listofallmembers>
      <member prot="public" refid="structcyhal__quaddec__t_1a6dd26d89e16c27595a35fd8c9a738035" virt="non-virtual"><scope>cyhal_quaddec_t</scope><name>index</name></member>
      <member prot="public" refid="structcyhal__quaddec__t_1aa02669222b74cc12e1b1442e13604188" virt="non-virtual"><scope>cyhal_quaddec_t</scope><name>last_counter_value</name></member>
      <member prot="public" refid="structcyhal__quaddec__t_1a294599f4c399f8cd722db5b72bd6f60a" virt="non-virtual"><scope>cyhal_quaddec_t</scope><name>phi_a</name></member>
      <member prot="public" refid="structcyhal__quaddec__t_1aedbae5253d7f7a9c2f9b02d0f1d4e856" virt="non-virtual"><scope>cyhal_quaddec_t</scope><name>phi_b</name></member>
      <member prot="public" refid="structcyhal__quaddec__t_1a43b3afb6a641da8607d642d8d68264b3" virt="non-virtual"><scope>cyhal_quaddec_t</scope><name>tcpwm</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>